Page MenuHomePhabricator

Wikia family nicepath is incorrect, but is functional
Closed, DeclinedPublic

Description

All of the Wikia families nicepath() values are incorrect for some of their sites.

$ python pwb.py shell
Welcome to the Pywikibot interactive shell!

import pywikibot
s = pywikibot.Site('en', 'lyricswiki')
s.nicepath()

'/wiki/'

The same occurs for families wikia and wowwiki.

However the nicepath should be ''

http://lyrics.wikia.com/Category:Artists_A

Likewise the main Wikia and main WOW sites do not have a /wiki/ prefix

http://www.wikia.com/Main_Page

http://www.wowwiki.com/Portal:Main

However Wikia has a redirect on the server from /wiki/ to / for those sites.

However the /wiki/ is needed for some sites.

http://cs.wow.wikia.com/wiki/Hlavn%C3%AD_strana works

But http://cs.wow.wikia.com/Hlavn%C3%AD_strana redirects to http://cs.wow.wikia.com/wiki/Speci%C3%A1ln%C3%AD:Our

So keeping the nicepath as /wiki/ is necessary, and we have to hope Wikia has redirects in place for all wikis where the wiki nice titles are not located at /wiki/Foo


Version: core-(2.0)
Severity: trivial

Details

Reference
bz73137

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:57 AM
bzimport added a project: Pywikibot-General.
bzimport set Reference to bz73137.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Nov 7 2014, 3:32 PM
jayvdb added a comment.Nov 7 2014, 3:34 PM

Note that I have a patch pending re Wikia family at https://gerrit.wikimedia.org/r/#/c/171616/ , and more to come

Grunny added a comment.Nov 8 2014, 3:48 PM

(In reply to John Mark Vandenberg from comment #0)

However Wikia has a redirect on the server from /wiki/ to / for those sites.
However the /wiki/ is needed for some sites.
http://cs.wow.wikia.com/wiki/Hlavn%C3%AD_strana works
But http://cs.wow.wikia.com/Hlavn%C3%AD_strana redirects to
http://cs.wow.wikia.com/wiki/Speci%C3%A1ln%C3%AD:Our
So keeping the nicepath as /wiki/ is necessary, and we have to hope Wikia
has redirects in place for all wikis where the wiki nice titles are not
located at /wiki/Foo

Yep, we do. There are only about 26 or so wikis on Wikia that use short URLs without the /wiki/, the rest all use the standard /wiki/$1 article path. All those that do have short URLs have redirects from /wiki/.

jayvdb added a comment.Oct 9 2015, 1:06 AM

(In reply to John Mark Vandenberg from comment #0)

However Wikia has a redirect on the server from /wiki/ to / for those sites.
However the /wiki/ is needed for some sites.
http://cs.wow.wikia.com/wiki/Hlavn%C3%AD_strana works
But http://cs.wow.wikia.com/Hlavn%C3%AD_strana redirects to
http://cs.wow.wikia.com/wiki/Speci%C3%A1ln%C3%AD:Our
So keeping the nicepath as /wiki/ is necessary, and we have to hope Wikia
has redirects in place for all wikis where the wiki nice titles are not
located at /wiki/Foo

Yep, we do. There are only about 26 or so wikis on Wikia that use short URLs without the /wiki/, the rest all use the standard /wiki/$1 article path. All those that do have short URLs have redirects from /wiki/.

http://lyrics.wikia.com/wiki/Category:Artists_A and http://wowwiki.wikia.com/wiki/Portal:Main now use a /wiki/ nicepath.

The main website (http://www.wikia.com/) appears to still have a nicepath of ''.

How many wikis now still have a nicepath of '' ?
It might be small enough list that Pywikibot can use an explicit exception list on the client site, so that our nicepath is always correct.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2015, 1:06 AM

The codebase says that the function nicepath() is deprecated, and it is not being used by any of the scripts as of now in the scripts/. The only function using this in core is nice_get_address() ... which is also deprecated.

Are nicepath() and nice_get_address() still needed ? Doesn't seem like anything is using it.
If it's still needed and only an exception list is requried then we can tag this with good first bug

Framawiki triaged this task as Low priority.Apr 25 2017, 10:14 PM
Xqt closed this task as Declined.Jul 14 2017, 9:27 PM
Xqt lowered the priority of this task from Low to Lowest.
Xqt added a subscriber: Xqt.

Works already via Redirect and we shouldn't spend time into this matter.
bth this is a 2.0 issue and that branch is closed.